For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verify Business TIN

This endpoint allows you to validate the TIN of different businesses using their registration number.

TIN Verification

POST {{baseurl}}/v2/api/verifications/ng/tin

Headers

Name
Type
Description

token*

String

API secret token

Request Body

Name
Type
Description

tin*

String

TIN of the business

isSubjectConsent*

Boolean

Indicate subject has given consent. Must be true

{
    "tin": "00000000-0000",
    "isConsent": true
}
{
      "success": true,
      "statusCode": 200,
      "message": "success",
      "data": {
          "id": "62663af982b204577a58dd9c",
          "status": "found",
          "businessId": "61d880f1e8e15aaf24558f1a",
          "parentId": null,
          "isConsent": true,
          "type": "tin-lookup",
          "name": "JOHN DOE LTD",
          "registrationNumber": "RC00000000",
          "tin": "00000000-0000",
          "jtbTin": "0000000000",
          "taxOffice": "MSTO ILUPEJU I",
          "email": "johndoe@gmail.co",
          "phone": "08000000000",
          "requestedAt": "2022-04-25T06:08:57.670Z",
          "createdAt": "2022-04-25T06:08:57.845Z",
          "requestedBy": {
              "firstName": "API",
              "lastName": "User",
              "middleName": "",
              "id": "61d880f2e8e15aaf24558f9b"
          }
      },
      "links": []
  }

Last updated

Was this helpful?